/***********************************************************
Live(Hotmail)
***********************************************************/
function initHandler6(handler){
  handler.initStage=ST_PRE;
  handler.dataURL="http://mail.live.com/mail/InboxLight.aspx";
  handler.loginData=["",
                      "login","passwd",""];
  handler.mailURL="http://mail.live.com/";

  handler.process=function (aRequest, aContext, aStatus) {
    switch(this.stage){
    case ST_PRE:
      this.webMailNotifier.getHtml(this,"http://login.live.com/logout.srf");
      return false;
    case ST_PRE_RES:
      this.webMailNotifier.getHtml(this,"http://mail.live.com");
      return false;
    case (ST_PRE_RES+1):
      var fnd=this.data.match(/srf_uPost=\'([\s\S]+?)\'/);
      if(fnd){
        this.loginData[LOGIN_URL]=fnd[1];
        fnd=this.data.match(/PPFT[\s\S]+?value=\"(\S+?)\"/);
        if(fnd){
          this.stage=ST_LOGIN;
          this.webMailNotifier.getHtml(this,this.loginData[LOGIN_URL],this.loginData[LOGIN_POST]+"&PPFT="+fnd[1]);
          return false;
        }
      }
      this.stage=this.initStage;
      this.webMailNotifier.setState(this.id,this.user,nsIWebMailNotifier.ST_RESET);
      return true;
    }
    return WebMailHandler.prototype.process.call(this,aRequest, aContext, aStatus);
  }

  handler.getData=function(aHtml){
    var fnd=aHtml.match(/<ul.+?folderList.+?>([\s\S]+?)<\/ul>/);
    if(fnd){
      fnd=fnd[1].match(/InboxLight.aspx\?FolderID=.+?<\/a>/g);
      if(fnd){
        var s;
        var num=0;
        for each(s in fnd){
          s=s.match(/FolderID=.+?([^-]+?)&.+?\/>(.+?)<\/a>/);
          if(s){
            if(s[1]=="000000000005"||s[1]=="000000000004"
              ||s[1]=="000000000003"||s[1]=="000000000002")continue;
            s=s[2].match(/\((\d+)\)/);
            if(s)num+=parseInt(s[1]);
          }
        }
        return num;
      }
    }
    return -1;
  };
}